﻿using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Windows;
using System.Windows.Media.Imaging;

namespace FaxToBinary
{
    /// <summary>
    /// Interaction logic for GlyphInputDialog.xaml
    /// </summary>
    public partial class GlyphInputDialog : Window, INotifyPropertyChanged
	{
		private BitmapSource _image;
		public BitmapSource Image
		{
			get { return _image; }
			set
			{
				if (_image != value)
				{
					_image = value;
					OnPropertyChanged();
				}
			}
		}

		private string _text = "";
		public string Text
		{
			get { return _text; }
			set
			{
				if (_text != value)
				{
					_text = value;
					OnPropertyChanged();
				}
			}
		}

        public GlyphInputDialog()
        {
			DataContext = this;
            InitializeComponent();
        }

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			DialogResult = true;
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected void OnPropertyChanged([CallerMemberName] string propertyName = "")
		{
			PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
		}
	}
}
