﻿using System.Diagnostics;
using System.IO;
using System.Windows;
using Microsoft.Win32;

namespace FaxToBinary
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public Project CurrentProject { get; private set; } = new Project();

		public MainWindow()
		{
			DataContext = this;
			InitializeComponent();
		}

		private void OpenTIF_Click(object sender, RoutedEventArgs e)
		{
			var dialog = new OpenFileDialog
			{
				Filter = "(*.tif)|*.tif"
			};
			if (dialog.ShowDialog() == true)
			{
				CurrentProject.Reset();
				CurrentProject.Load(dialog.FileName);
			}
		}

		private async void Process_Click(object sender, RoutedEventArgs e)
		{
			await CurrentProject.Process();
		}
		
		private void Export_Click(object sender, RoutedEventArgs e)
		{
			var dialog = new SaveFileDialog
			{
				FileName = Path.ChangeExtension(CurrentProject.FilePath, "bin"),
				Filter = "(*.bin)|*.bin"
			};
			if (dialog.ShowDialog() == true)
			{
				CurrentProject.Save(dialog.FileName);
			}
		}

		private void OpenDataFolder_Click(object sender, RoutedEventArgs e)
		{
			Process.Start(CurrentProject.FileRoot);
		}
	}
}
